aboutsummaryrefslogtreecommitdiffstats
path: root/testing/freerdp/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-12-04 15:11:42 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-12-04 15:19:59 +0000
commit7c12208195edf4c307ba30c8bc443e52df775e22 (patch)
tree924b3765559973b1f43d4efddbb8783afda82fe2 /testing/freerdp/APKBUILD
parent715ed148bf75f760dc6f2c45f5811542aed562ed (diff)
downloadaports-7c12208195edf4c307ba30c8bc443e52df775e22.tar.bz2
aports-7c12208195edf4c307ba30c8bc443e52df775e22.tar.xz
testing/freerdp: new aport
Free RDP client http://freerdp.sourceforge.net
Diffstat (limited to 'testing/freerdp/APKBUILD')
-rw-r--r--testing/freerdp/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/testing/freerdp/APKBUILD b/testing/freerdp/APKBUILD
new file mode 100644
index 0000000000..5c219e515b
--- /dev/null
+++ b/testing/freerdp/APKBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=freerdp
+pkgver=0.8.2
+pkgrel=0
+pkgdesc="Free RDP client"
+url="http://freerdp.sourceforge.net"
+license="GPL"
+depends=""
+subpackages="$pkgname-dev $pkgname-doc libfreerdp"
+makedepends="openssl-dev libxcursor-dev cups-dev alsa-lib-dev"
+source="http://downloads.sourceforge.net/project/freerdp/${pkgver%.*}/freerdp-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+libfreerdp() {
+ pkgdesc="Free RDP client - Libraries"
+ mkdir -p "$subpkgdir"/usr
+ mv "$pkgdir"/usr/share "$pkgdir"/usr/lib "$subpkgdir"/usr/
+}
+
+md5sums="cde590336292c977dfc1b4b7badf24d2 freerdp-0.8.2.tar.gz"